

	COMPLEX*16 FUNCTION CDSQRT12 (Z)
C	square root with  0.0 <= "arg" < pi
C	note: cdsqrt is assumed to give the root with  -pi/2 < "arg" <= pi/2
	COMPLEX*16 Z

	CDSQRT12 = CDSQRT(Z)
	IF (DIMAG(CDSQRT12).LT.0.0D0) CDSQRT12 = -CDSQRT12

	RETURN
	END
